load('/home/jph/Uni/masterarbeit/evaluation.mat')

input=correlations.EEG.pos;
sizeY=2;
limits_y=[1,-1];

names=fieldnames(input);
noOfPlots=size(names,1);

for i=1:noOfPlots
    limits_y=[min(min(min(input.(sprintf('%s',names{i})))),limits_y(1)),...
        max(max(max(input.(sprintf('%s',names{i})))),limits_y(2))];
end
limits_y=[limits_y(1)-0.1*diff(limits_y),limits_y(2)+0.1*diff(limits_y)]

figure();

for i=1:noOfPlots
    subplot(sizeY,ceil(noOfPlots/sizeY),i)
    boxplot(input.(sprintf('%s',names{i})))
    title(names{i})
    ylim(limits_y)
end

anova1(cat(2,input.default3Syn(:),input.offset1Syn3(:),input.offset2Syn3(:),input.pause1Syn3(:),input.pause1Off1Syn3(:)),[0,0,0,1,1])
anova1(cat(2,input.default3Syn(:),input.offset1Syn3(:),input.pause1Syn3(:),input.pause1Off1Syn3(:)),[0,1,0,1])
